Collections
List Collections In Project
List all collections in a project
GET
/
collections
List Collections In Project
curl --request GET \
--url https://api.aspect.inc/collections \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aspect.inc/collections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aspect.inc/collections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"actions": 123,
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"appearance_settings": {
"header": {
"height": "small",
"show_icon": true,
"show_creation_info": true,
"show_description": true,
"show_background": true,
"icon": {
"type": "emoji",
"emoji": "<string>",
"color": "<string>",
"url": "<string>",
"upload": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"mime_type": "<string>",
"size_bytes": 123,
"uploaded": true,
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"url": "<string>",
"url_expires_at": "2023-11-07T05:31:56Z"
}
},
"background_attachment": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"mime_type": "<string>",
"size_bytes": 123,
"uploaded": true,
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"url": "<string>",
"url_expires_at": "2023-11-07T05:31:56Z"
}
}
},
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"description": "<string>",
"created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by_user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"avatar_url": "<string>"
},
"num_assets": 0,
"num_directories": 0
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
BearerAuthApiKeyAuth
JWT in Authorization header. 'Bearer ' prefix optional.
Query Parameters
Project ID
Response
Successful Response
Collection ID
Collection name
User's permission bitmap on this collection
Project ID
Appearance settings with attachments
Show child attributes
Show child attributes
Creation timestamp
Last update timestamp
Collection description
User who created this collection
User who created this collection
Show child attributes
Show child attributes
Number of assets in the collection
Number of directories in the collection
⌘I
List Collections In Project

